MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
sc::Volume Class Reference

A Volume is a Function of three variables. More...

`#include <volume.h>`

Inheritance diagram for sc::Volume:

List of all members.

## Public Member Functions

| Volume (const Ref< KeyVal > &)
void | set_gradient (const SCVector3 &g)
void | set_gradient (RefSCVector &g)
void | get_gradient (SCVector3 &g)
void | set_x (const SCVector3 &x)
void | set_x (const RefSCVector &x)
| Set and retrieve the coordinate values.
void | get_x (SCVector3 &x)
virtual void | boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)=0
virtual void | interpolate (const SCVector3 &p1, const SCVector3 &p2, double value, SCVector3 &result)
virtual void | solve (const SCVector3 &p, const SCVector3 &grad, double value, SCVector3 &result)

## Protected Member Functions

double & | interpolation_accuracy ()
virtual void | compute ()=0
| Recompute at least the results that have compute true and are not already computed.
virtual void | failure (const char *)

## Detailed Description

A Volume is a Function of three variables.

## Member Function Documentation

virtual void sc::Volume::compute | ( |  | ) | `[protected, pure virtual]`

Recompute at least the results that have compute true and are not already computed.

This should only be called by Result's members.

Implements sc::Compute.

Implemented in sc::BatchElectronDensity, sc::Shape, sc::ElectronDensity, and sc::Orbital.

The documentation for this class was generated from the following files:

- volume.h
- volume_i.h